import { Hook } from "./event/registry";
/**
 * Uses the V8 call stack API to fetch runtime information about the calling function.
 */
export declare const fetchRuntimeInformation: () => Partial<Hook> | null;
/** A global console to log messages to. */
export declare const console: {
    /**
     * Logs a log line if the given condition is false.
     *
     * @param condition the condition to check before logging
     * @param args the log line to log
     */
    assert(condition: boolean, ...args: unknown[]): void;
    /** Logs debug information. */
    debug(...args: unknown[]): void;
    /** Logs a line. */
    info(...args: unknown[]): void;
    /** Logs a line. */
    log(...args: unknown[]): void;
    /** Logs a warning. */
    warn(...args: unknown[]): void;
    /** Logs an error. */
    error(...args: unknown[]): void;
};
