import { Method } from "../http/request";
/** Metadata of the entire HTTP transaction. */
export interface TransactionMeta {
    /** The ID of the deploy this edge handler is a part of. */
    deployId: string | null;
}
/** HTTP request metadata */
export interface RequestMeta {
    /** Any headers sent from the client. */
    headers: Record<string, string[] | string>;
    /** The request method. */
    method: Method;
    /** Any captured path variables */
    pathCaptures: Record<string, string>;
    /** The request ID. */
    requestId: string;
    /** The full request URL. */
    url: string;
    /** Identity information for the user from a JWT token */
    userContext: UserContext | null;
}
/** An OAuth user context. */
export interface UserContext {
    /** The claims. */
    claims: string;
    /** The roles of the user. */
    roles: string[];
}
