/** An error thrown when base64 decoding fails. */
export declare class Base64DecodeError extends Error {
    constructor(message: string);
}
/**
 * Decodes the given base64-encoded binary data to a `Uint8Array`.
 *
 * @param input The base64 encoded binary data.
 * @returns the decoded data.
 */
export declare const decode: (input: string) => Uint8Array;
/**
 * Encodes the given binary data into a base64-encoded string.
 *
 * @param input The binary data to encode.
 * @returns the encoded base64 string.
 */
export declare const encode: (input: Uint8Array) => string;
